| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
Array3DConv< T, TT > Class Template Reference

`#include <arraynd.h>`

Inheritance diagram for Array3DConv< T, TT >:
[legend]

## Public Member Functions
| Array3DConv (Array3D< TT > *arr)
| ~Array3DConv ()
T | get (int p0, int p1, int p2) const override
const Array3DInfo & | info () const override
void | set (int p0, int p1, int p2, T v) override
Public Member Functions inherited from Array3D< T >
virtual T *** | get3DData ()
virtual const T *** | get3DData () const
T | getND (const int *pos) const override
void | setND (const int *pos, T v) override
Public Member Functions inherited from ArrayND< T >
virtual | ~ArrayND ()
virtual bool | canChangeNrDims () const
virtual bool | canSetInfo () const
virtual bool | canSetStorage () const
virtual T * | get1D (const int *)
virtual const T * | get1D (const int *) const
virtual int | get1DDim () const
virtual void | getAll (T *ptr) const
virtual void | getAll (ValueSeries< T > &vs) const
T * | getData ()
const T * | getData () const
int | getSize (int dim) const
ValueSeries< T > * | getStorage ()
const ValueSeries< T > * | getStorage () const
virtual bool | isEmpty () const
virtual bool | isOK () const
virtual bool | isSettable () const
int | nrDims () const
virtual void | setAll (T)
virtual void | setData (const T *)
virtual void | setEmpty ()
virtual bool | setInfo (const ArrayNDInfo &)
virtual bool | setStorage (ValueSeries< T > *s)
od_uint64 | totalSize () const
bool | validPos (int *pos) const

## Protected Attributes
Array3D< TT > * | arr_

## Additional Inherited Members
Protected Member Functions inherited from ArrayND< T >
virtual const T * | getData_ () const
virtual const ValueSeries< T > * | getStorage_ () const

## Constructor & Destructor Documentation

## ◆ Array3DConv()

template<class T , class TT >

Array3DConv< T, TT >::Array3DConv | ( | Array3D< TT > * | arr | ) |
| inline

## ◆ ~Array3DConv()

template<class T , class TT >

Array3DConv< T, TT >::~Array3DConv | ( |  | ) |
| inline

## Member Function Documentation

## ◆ get()

template<class T , class TT >

T Array3DConv< T, TT >::get | ( | int | p0,
|  | int | p1,
|  | int | p2 ) const
| inline override virtual

Implements Array3D< T >.

## ◆ info()

template<class T , class TT >

const Array3DInfo & Array3DConv< T, TT >::info | ( |  | ) | const
| inline override virtual

Implements Array3D< T >.

## ◆ set()

template<class T , class TT >

void Array3DConv< T, TT >::set | ( | int | p0,
|  | int | p1,
|  | int | p2,
|  | T | v )
| inline override virtual

Implements Array3D< T >.

## Member Data Documentation

## ◆ arr_

template<class T , class TT >

Array3D<TT>* Array3DConv< T, TT >::arr_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025